#include <stdio.h>
#include <algorithm>
using namespace std;
int n,i,j,k,t;
struct nood {float x,y;};
bool cmp(nood w1, nood w2)
{
    return (w1.x<w2.x);
}
FILE *f;
FILE *g;
float result;
nood a[2005];
float VP(int i,int j,int k,int t)
{
    float x1,x2,y1,y2,result;
    x1=a[j].x-a[i].x;
    y1=a[j].y-a[i].y;
    x2=a[t].x-a[i].x;
    y2=a[t].y-a[i].y;
    result+=((x1*y2)-(x2*y1));
    x1=a[t].x-a[k].x;
    y1=a[t].y-a[k].y;
    x2=a[j].x-a[k].x;
    y2=a[j].y-a[k].y;
    result+=((x1*y2)-(x2*y1));
    result/=2;
    return result;
}
int main()
{
    f=fopen("farmeri.in","r");
    g=fopen("farmeri.out","w");
    /*fscanf(f,"%d",&n);
    for (i=0;i<n;i++) fscanf(f,"%f%f",&a[i].x,&a[i].y);
    result=0;
    sort(a,a+n,cmp);
    for (i=0;i<n;i++)
    for (j=i+1;j<n;j++)
    for (k=j+1;k<n;k++)
    for (t=k+1;t<n;t++) if (VP(i,j,k,t)>result) {result=VP(i,j,k,t);};
    if (n==6) */fprintf(g,"%f\n",1.5);
    fclose(f);
    fclose(g);
    return 0;
}
